Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157930 - Changing fonts from Kcontrol will enable hinting and make it default. All this information it writes to ~/.fonts.conf
Summary: Changing fonts from Kcontrol will enable hinting and make it default. All thi...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdebase
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lukáš Tinkl
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 208360
TreeView+ depends on / blocked
 
Reported: 2005-05-17 08:19 UTC by Ankit Patel
Modified: 2015-07-13 17:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-07 09:10:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 105797 None None None Never

Description Ankit Patel 2005-05-17 08:19:13 UTC
Description of problem:
I have tried to change my appearance (spicifically fonts) from the kcontrol.
After changing the appearance i have logged into the Gnome session. I surprised
to see my hinting is enabled in Gnome, though it was not enabled. I have tried
to change the hintings from the Kcontrol and Gnome's Main menu => preferences =>
Fonts => Details => Hinting. But the result remains the same. After that i have
removed ~/.fonts.conf file, and logged into Gnome again. Then only my hinting is
disabled. 

Version-Release number of selected component (if applicable):
KDE Control Center: 3.3.1-2.1 Red Hat

How reproducible:
Everytime

Steps to Reproduce:
1.Change fonts from kcontrol
2.logout
3.login into Gnome session, you can find enabled hinting.
  
Actual results:
Affect the hinting style.

Expected results:
Don't affect the hinting.

Additional info:

Comment 1 Leon Ho 2005-05-17 08:49:45 UTC
Moving to correct component:
[root@wow ~]# rpm -qf /usr/bin/kcontrol
kdebase-3.4.0-5


Comment 2 Ngo Than 2005-05-17 09:13:29 UTC
does it appear in FC4 devel tree?

Comment 3 Ankit Patel 2005-05-17 09:59:11 UTC
Yes it's there on FC4 devel tree also !!!

Comment 4 Ankit Patel 2005-05-17 10:02:43 UTC
Just now i got new thing. Open "kcontrol" (control-center). Click on
"Appearance". Now when you click on "Fonts" in that then only it will create
automatically ~/.fonts.conf automatically. Simply you can say that when you
click on "Fonts" in the "Appearance" tab then "kcontrol" will create
~/.fonts.conf according to the settings in the "Fonts" tab and make it default,
So it may be used in Gnome also.

Comment 5 Ankit Patel 2005-05-17 10:20:32 UTC
(In reply to comment #4)
> Just now i got new thing. Open "kcontrol" (control-center). Click on
> "Appearance". Now when you click on "Fonts" in that then only it will create
> automatically ~/.fonts.conf automatically. Simply you can say that when you
> click on "Fonts" in the "Appearance" tab then "kcontrol" will create
> ~/.fonts.conf according to the 

'configuration' settings of the checkbox "use sub-pixel hinting for your fonts"
in the "Fonts" tab whether it's selected or not and make it default,

> So it may be used in Gnome also.



Comment 7 Mayank Jain 2006-06-08 12:36:22 UTC
This problem was found in rawhide too.

Comment 8 Lawrence Lim 2006-09-28 00:19:48 UTC
Clone to Fedora devel based on Comment #7.

Comment 9 Jens Petersen 2009-07-07 09:10:10 UTC
Closing out based on bug 208360 conclusion.


Note You need to log in before you can comment on or make changes to this bug.